package com.doc.system.dao;

import com.doc.system.entity.GroupMember;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;
@Mapper
public interface GroupMemberMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(GroupMember record);

    int insertSelective(GroupMember record);

    GroupMember selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(GroupMember record);

    int updateByPrimaryKey(GroupMember record);

    //获取所有用户列表（包含组信息，但这个函数名定义确实有点奇怪）
	List<GroupMember> getGroupAllUsers(Integer groupId);

	List<GroupMember> queryGroupMemberWithParamLike(HashMap<String, String> param);

	List<GroupMember> selectSelective(GroupMember groupMember);

	int deleteSelective(GroupMember groupMember);
}